View Issue Details

IDProjectCategoryView StatusLast Update
0000231ascendpygtk guipublic2008-02-10 13:02
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000231: pygtk interface startup script overrides environment variable
DescriptionPyGTK startup should check for the environment variable and set it to a value stored in the ~/.ascend.ini file if missing. This would allow users to override the value but would give an env-less configuration as well.

This follows comments from Art on getting the PyGTK GUI running.
TagsNo tags attached.

Relationships

Activities

john

2006-03-07 06:46

administrator   ~0000290

Fixed in changeset 424.

john

2006-03-07 06:47

administrator   ~0000291

To store your ASCEND path in your preferences, edit ~/.ascend.ini and add the following lines:

[Directories]
librarypath = G:/ascend/models

(change the path to whatever you want to use.

NOTE: under MSYS, you must use the "windows" path ("G:/...") rather than the MSYS path ("/g/...")

Issue History

Date Modified Username Field Change
2006-02-23 01:57 john New Issue
2006-02-23 01:57 john Status new => assigned
2006-02-23 01:57 john Assigned To => john
2006-02-23 01:57 john Target release => 0.9.6
2006-03-07 06:46 john Status assigned => resolved
2006-03-07 06:46 john Resolution open => fixed
2006-03-07 06:46 john Note Added: 0000290
2006-03-07 06:47 john Note Added: 0000291
2006-06-22 07:36 john Status resolved => feedback
2006-06-22 07:48 john Status feedback => resolved
2006-06-22 07:48 john Fixed in Version => 0.9.6
2008-02-10 13:02 john Status resolved => closed